Get integration health
Returns health stats for tenant integration records.
GET
/v1/integrations/healthAuthorization
AuthorizationBearer token (JWT) · headerrequiredHeader parameters
x-workspace-idstringrequiredWorkspace context for tenant procedures.
Responses
200Integration health report retrieved.
checkedAtstring<date-time>requiredprovidersIntegrationHealth[]requiredShow propertiesHide properties
Array of
IntegrationHealthproviderIntegrationProviderrequiredAllowed:
TELEGRAMTWILIOtotalRowsintegerrequiredmin 0
decryptableRowsintegerrequiredmin 0
latestUpdatedAtstring<date-time> | nullrequiredlatestDecryptableUpdatedAtstring<date-time> | nullrequiredRequest
curl -X GET "https://api.hackathon.space/v1/integrations/health" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "x-workspace-id: string"const response = await fetch("https://api.hackathon.space/v1/integrations/health", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"x-workspace-id": "string"
}
});import requests
response = requests.get(
"https://api.hackathon.space/v1/integrations/health",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"x-workspace-id": "string"
},
)Response
{
"checkedAt": "2024-01-01T00:00:00Z",
"providers": [
{
"provider": "TELEGRAM",
"totalRows": 0,
"decryptableRows": 0,
"latestUpdatedAt": "2024-01-01T00:00:00Z",
"latestDecryptableUpdatedAt": "2024-01-01T00:00:00Z"
}
]
}